"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = require("crypto");
const fs = require("fs");
const logging_1 = require("@hibas123/logging");
const _1 = require(".");
const deleteFolderRecursive = function (path) {
    if (fs.existsSync(path)) {
        fs.readdirSync(path).forEach(function (file, index) {
            var curPath = path + "/" + file;
            if (fs.lstatSync(curPath).isDirectory()) {
                // recurse
                deleteFolderRecursive(curPath);
            }
            else {
                // delete file
                fs.unlinkSync(curPath);
            }
        });
        fs.rmdirSync(path);
    }
};
deleteFolderRecursive("./logs");
_1.default.log("test");
_1.default.log("i", "am", { a: "an" }, 1000);
_1.default.error(new Error("fehler 001"));
_1.default.debug("Some Debug infos");
_1.default.error("i", "am", "an", "error");
_1.default.log("\x1b[31m\x1b[31m\x1b[31m\x1b[31m\x1b[31m\x1b[31m TEST \x1b[31m\x1b[31m\x1b[31m");
let err = new Error();
if (typeof err.stack !== "string")
    console.log("Stacktrace invalid", err.stack);
let cus = new logging_1.LoggingBase({ name: "test" });
cus.log("Hello from custom Logger");
let cus2 = _1.default.getChild("test2");
cus2.log("Hello from custom Logger 2");
let cus22 = _1.default.getChild("test2");
cus22.log("Hello from custom Logger 22");
cus2.log("Hello from custom Logger 2");
cus22.log("Hello from custom Logger 22");
cus2.log("Hello from custom Logger 2");
cus22.log("Hello from custom Logger 22");
cus2.log("Hello from custom Logger 2");
cus22.log("Hello from custom Logger 22");
cus2.log("Hello from custom Logger 2");
cus22.log("Hello from custom Logger 22");
cus2.log("Hello from custom Logger 2");
const BenchmarkLogger = new logging_1.LoggingBase({
    console: false,
    name: "bench",
});
BenchmarkLogger.addAdapter(_1.DefaultLoggingFile);
async function benchmark(count, message_size) {
    const randData = crypto_1.randomBytes(message_size).toString("hex");
    const t = process.hrtime();
    for (let i = 0; i < count; i++) {
        BenchmarkLogger.log(randData);
    }
    const diff = process.hrtime(t);
    const NS_PER_SEC = 1e9;
    const ns = diff[0] * NS_PER_SEC + diff[1];
    console.log(`Benchmark took ${ns / 1000000}ms for ${count} messages with a size of ${message_size} characters`);
    console.log(`This is equal to ${ns / 1000000 / count} ms per message`);
}
const benchTimer = _1.default.time("benchmark");
Promise.resolve().then(async () => {
    console.log("Large data benchmark:");
    await benchmark(7000, 50000);
    console.log("Realdata data benchmark:");
    await benchmark(100000, 100);
    benchTimer.end();
});
const timer = _1.default.time("Test Timer");
setTimeout(() => timer.end(), 1000);
//# sourceMappingURL=test.js.map